fbsql_database_password
fbsql_db_query
FrontBase Functions
PHP Manual

# fbsql_database

(PHP 4 >= 4.0.6, PHP 5)

fbsql_database — Get or set the database name used with a connection

### Description

string fbsql_database ( resource `$link_identifier` [, string `$database` ] )

Get or set the database name used with the connection.

### Parameters

`link_identifier`

  A FrontBase link identifier returned by fbsql_connect() or fbsql_pconnect().

  If optional and not specified, the function will try to find an open link to the FrontBase server and if no such link is found it will try to create one as if fbsql_connect() was called with no arguments

`database`

  The database name. If given, the default database of the connexion will be changed to `database` .

### Return Values

Returns the name of the database used with this connection.

fbsql_database_password
fbsql_db_query
FrontBase Functions
PHP Manual